package net.javainthebox.webstart;

import java.awt.Font;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;

public class WebStartDemo {
    public WebStartDemo() {
        JFrame frame = new JFrame("WeStart Demo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setLocationByPlatform(true);
        frame.setSize(240, 100);
        
        JLabel label = new JLabel("Hello, WebStart!", JLabel.CENTER);
        label.setFont(new Font(Font.SANS_SERIF, Font.PLAIN, 24));
        frame.add(label);

        frame.setVisible(true);
    }
    
    public static void main(String... args) {
        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                new WebStartDemo();
            }
        });
    }
}
